Retrieves all the type
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
company_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the type |
string |
Required |
| description |
Description of the type |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization |
Response Formats
application/json, text/json
Sample:
{
"id": "b73b78f6-21ad-4d68-8d49-88bc58a65bff",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "cb28195c-efa0-4099-81ee-073ee6abc4d4",
"sales_organization_code": "sample string 5"
}